org.keycloak.models.map.role

## Class AbstractRoleEntity<K>

- java.lang.Object
- - org.keycloak.models.map.role.AbstractRoleEntity<K>

- All Implemented Interfaces:
    AbstractEntity<K>
  Direct Known Subclasses:
    MapRoleEntity

      public abstract class AbstractRoleEntity<K>
      extends Object
      implements AbstractEntity<K>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `updated` Flag signalizing that any of the setters has been meaningfully used.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractRoleEntity()`
    `` | `AbstractRoleEntity(K id, String realmId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCompositeRole(String roleId)`
    `Map<String,List<String>>` | `getAttributes()`
    `String` | `getClientId()`
    `Set<String>` | `getCompositeRoles()`
    `String` | `getDescription()`
    `K` | `getId()`
    `String` | `getName()`
    `String` | `getRealmId()`
    `boolean` | `isClientRole()`
    `boolean` | `isComposite()`
    `boolean` | `isUpdated()` Flag signalizing that any of the setters has been meaningfully used.
    `void` | `removeAttribute(String name)`
    `void` | `removeCompositeRole(String roleId)`
    `void` | `setAttribute(String name, List<String> values)`
    `void` | `setAttributes(Map<String,List<String>> attributes)`
    `void` | `setClientId(String clientId)`
    `void` | `setClientRole(boolean clientRole)`
    `void` | `setCompositeRoles(Set<String> compositeRoles)`
    `void` | `setDescription(String description)`
    `void` | `setName(String name)`
    `void` | `setRealmId(String realmId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### updated

          protected boolean updated

      Flag signalizing that any of the setters has been meaningfully used.

  - ### Constructor Detail

    - #### AbstractRoleEntity

          protected AbstractRoleEntity()

    - #### AbstractRoleEntity

          public AbstractRoleEntity(K id,
                                    String realmId)

  - ### Method Detail

    - #### getId

          public K getId()

      Specified by:
        `getId` in interface `AbstractEntity<K>`

    - #### isUpdated

          public boolean isUpdated()

      Description copied from interface: `AbstractEntity`
      Flag signalizing that any of the setters has been meaningfully used.
      Specified by:
        `isUpdated` in interface `AbstractEntity<K>`
      Returns:

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getAttributes

          public Map<String,List<String>> getAttributes()

    - #### setAttributes

          public void setAttributes(Map<String,List<String>> attributes)

    - #### setAttribute

          public void setAttribute(String name,
                                   List<String> values)

    - #### removeAttribute

          public void removeAttribute(String name)

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### isClientRole

          public boolean isClientRole()

    - #### setClientRole

          public void setClientRole(boolean clientRole)

    - #### isComposite

          public boolean isComposite()

    - #### getCompositeRoles

          public Set<String> getCompositeRoles()

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### setCompositeRoles

          public void setCompositeRoles(Set<String> compositeRoles)

    - #### addCompositeRole

          public void addCompositeRole(String roleId)

    - #### removeCompositeRole

          public void removeCompositeRole(String roleId)

Copyright © 2021 JBoss by Red Hat. All rights reserved.